#!/bin/csh -f

# shell program to use tilde.pl on art.train.xml.reqd and
# authority.train.xml.reqd to produce art.train.xml.tilde.reqd and
# authority.train.xml.tilde.reqd, respectively.

# subtest 1
echo "Running tilde.pl on art.train.xml.reqd" 

set TESTFILE     = "art.train.xml.reqd"
set TARGETFILE   = "art.train.xml.tilde.reqd"

# first check if these files exist. if any one does not, quit
if (!(-e $TESTFILE)) then
    echo "File $TESTFILE does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE)) then
    echo "File $TARGETFILE does not exist... aborting"
    exit
endif

# test on art.train.xml.reqd
echo "Testing tilde.pl thusly: tilde.pl $TESTFILE > art.tilde"
tilde.pl $TESTFILE > art.tilde

# find diffs
diff art.tilde $TARGETFILE > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE)"
else
    echo "Following differences exist between art.tilde and $TARGETFILE :"
    cat difference
endif
/bin/rm -f difference
/bin/rm -f art.tilde


# subtest 2
echo "Running tilde.pl on authority.train.xml.reqd" 

set TESTFILE     = "authority.train.xml.reqd"
set TARGETFILE   = "authority.train.xml.tilde.reqd"

# first check if these files exist. if any one does not, quit
if (!(-e $TESTFILE)) then
    echo "File $TESTFILE does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE)) then
    echo "File $TARGETFILE does not exist... aborting"
    exit
endif

# test on authority.train.xml.reqd
echo "Testing tilde.pl thusly: tilde.pl $TESTFILE > authority.tilde"
tilde.pl $TESTFILE > authority.tilde

# find diffs
diff authority.tilde $TARGETFILE > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE)"
else
    echo "Following differences exist between authority.tilde and $TARGETFILE :"
    cat difference
endif
/bin/rm -f difference
/bin/rm -f authority.tilde

