#!/bin/csh -f

# shell program to test ensemble2dist.pl

echo "Testing ensemble2dist.pl."

set TEST_DIR_1       = "dir_1"
set TEST_DIR_2       = "dir_2"
set TARGETFILE_1     = "word_1.reqd"
set TARGETFILE_2     = "word_2.reqd"

# first check if these files exist. if any one does not, quit
if (!(-e $TEST_DIR_1)) then
    echo "File $TEST_DIR_1 does not exist... aborting"
    exit
endif

if (!(-e $TEST_DIR_2)) then
    echo "File $TEST_DIR_2 does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE_1)) then
    echo "File $TARGETFILE_1 does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE_2)) then
    echo "File $TARGETFILE_2 does not exist... aborting"
    exit
endif

# the test
echo "Testing ensembleByDist thusly: ensemble.pl $TEST_DIR_1 $TEST_DIR_2"
ensembleByDist.pl $TEST_DIR_1 $TEST_DIR_2

# find diffs
diff word_1.ensemble.answer.dist $TARGETFILE_1 > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE_1)"
else
    echo "Following differences exist between word_1.ensemble.answer.dist and $TARGETFILE_1 :"
    cat difference
endif
/bin/rm -f difference

# find diffs
diff word_2.ensemble.answer.dist $TARGETFILE_2 > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE_2)"
else
    echo "Following differences exist between word_2.ensemble.answer.dist and $TARGETFILE_2 :"
    cat difference
endif
/bin/rm -f difference

/bin/rm -f word_1.ensemble.answer.dist
/bin/rm -f word_2.ensemble.answer.dist

